Subject: New package: ninja

From: Matthew Styskal <[email-masked]>
Date: Sun, 29 May 2011 21:34:10 +0000

I apologize if this is the wrong place to submit this; it seems somewhat odd to submit new packages to a bug-fixing mailgroup, but that's what the Emacs homepage on the GNU website said to do. (I'm gnu here, if you'll pardon the pun.)

One of the shortcomings Emacs seemed to have to me was its lack of original action games; it has implementations of classics like Pong and Snake, but no games of its own. So I wrote one (see the attachment). It has a pretty stiff learning curve, but hey, so does Emacs.

I attempted to follow the header & docstring conventions, and I should have plenty of free time soon to make any other improvements to this you guys deem necessary before its inclusion. And I am willing to maintain it and to give the copyright to the FSF.

Thank you for your time.